RK-A2 - Bug #3705

Modify 'Create detailed QNAs and Answers' Colab
08/06/2024 07:31 AM - Ram Kordale

Status: Closed Start date: 08/06/2024
Priority: Immediate Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 1.80 hour
Target version: Spent time: 0.00 hour
Description

In https://colab.research.google.com/drive/14NObHIRBmM9IO28Eul XegA1BUzh4hDfXX, call_openai will return
$$$---$$$---$$$$Detailed Answer: <Detailed Answer>$$$---$$$---$$$$ %---
Y%---%%%Question:<Question>\nAnswer:<Answer>\n\nQuestion:<Question>\nAnswer:<Answer>...\n\nQuestion:<Question>\nAnswe
r:<Answer>%%---%%---%%%

Please modify the colab to handle this.

To help with this, please do the following.

- Mock the call_openai call to return $$$---$$3$---$$$$Detailed Answer: Detailed Answer to <prompt>$$$---$$$---$$$$ %---
Y%---%%%Question: Question1 \nAnswer: Answer1\n\nQuestion: Question 2\nAnswer:Answer 2%%---%%---%%%

- Store these in DS

- Demo should at least show FE do the following:

-- if detailedQNAs is present and user wants to see, show each of the detailed questions and answers.

-- if detailedAnswer is present and user wants to see, show it to them.

History

#1 - 08/07/2024 04:59 AM - Dewakar Chaubey

- Description updated

#2 - 08/07/2024 05:00 AM - Dewakar Chaubey

- Description updated

#3 - 08/07/2024 11:17 AM - Dewakar Chaubey
- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 08/07/2024 11:17 AM - Dewakar Chaubey

- Status changed from Resolved to Review

#5 - 08/13/2024 07:31 AM - Dewakar Chaubey

- Assignee set to Dewakar Chaubey

#6 - 08/13/2024 07:31 AM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Shubham Boke

#7 - 08/29/2024 05:44 AM - Ram Kordale

- Priority changed from Urgent to Immediate

#8 - 08/29/2024 08:33 AM - Shubham Boke

- Assignee changed from Shubham Boke to Ayanava Karmakar

#9 - 09/25/2024 08:34 AM - Ram Kordale

- Status changed from Review to Closed

#10 - 10/18/2024 01:06 PM - Ram Kordale
- Estimated time setto 1.80 h
